This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 99484 - don't hear music from CDs
don't hear music from CDs
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-21 04:18 EDT by Van
Modified: 2007-03-27 00:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Van 2003-07-21 04:18:04 EDT
Description of problem:


Version-Release number of selected component (if applicable): I am using 
basically RH8 on Intel 4 having built-in duplex sound chipset, but upgraded 
kernel-2.4.20-8, which has the gnome-volume fixed from couple of bugs in 
unresolve symbols from the kernel-2.4.18-14. Yes, it indeed solved it and I am 
able to run redhat-config-soundcard with sound tested fine. All soundcore ac97 
i810 modules loaded and work fine. However, there's a problem : I can't play 
CDs. It plays alright, but can't hear a thing. I did unmute volumes and set to 
max, but still don't hear CDs play. It was obvious that I heard sound when 
doing the test sound card. Would u plz give me some explanations why and how 
to fix it? Appreciate it. 


How reproducible: From normal RH8, with kernel upgraded to 2.4.20-8, test the 
sound card work fine, but don't hear anyting when playing CDs.


Steps to Reproduce:
1. Upgrade to kernel-2.4.20-8 only requires upgrade to SysVinit, vixies-cron, 
pam-*.
2. Able to load soundcore, i810_audio, and ac97 modules
3. Run command redhat-config-soundcard testing soundcard works fine, but can't 
hear anything from playing CDs.
    
Actual results:


Expected results:


Additional info: p.s : I guess this problem isn't much common since I have 
looking around, but haven't found anyone has the same problem as mine. I bet 
there are, but haven't encountered yet.
Comment 1 Van 2003-07-22 12:20:47 EDT
  I managed to open the syslog, and found these problems (if it helps) :

register_serial(): autoconfig failed
modprobe: modprobe: can't locate module sound-service-0-3
modprobe: modprobe: can't locate module char-major-0-134

thanks.

-van
Comment 2 Van 2003-08-02 13:04:40 EDT
Linux version 2.4.20-8 (bhcompile@porky.devel.redhat.com) (gcc version 3.2.2 
20030222 (Red Hat Linux 3.2.2-5)) #1 Thu Mar 13 17:54:28 EST 2003
...
SCSI subsystem driver Revision: 1.00
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
hdd: ATAPI 48X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
  Vendor: _NEC      Model: CD-RW NR-9200A    Rev: 1.01
  Type:   CD-ROM                             ANSI SCSI revision: 02
ov511.c: Device at usb-00:1d.1-1 registered to minor 0
ov511.c: v1.63 for Linux 2.4 : ov511 USB Camera Driver
scsi1 : SCSI emulation for USB Mass Storage devices
usb-uhci.c: interrupt, status 3, frame# 1832
  Vendor: IOMEGA    Model: ZIP 250           Rev: 90.V
  Type:   Direct-Access                      ANSI SCSI revision: 02
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 2
USB Mass Storage support registered.
usb.c: registered new driver usblp
printer.c: usblp0: USB Bidirectional printer dev 2 if 0 alt 0 proto 2 vid 
0x04A9 pid 0x1074
printer.c: v0.11: USB Printer Device Class driver
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
parport0: irq 7 detected
...
PCI: Found IRQ 11 for device 02:08.0
divert: allocating divert_blk for eth0
eth0: Intel Corp. 82801BD PRO/100 VE (LOM) Ethernet Controller, 
00:07:E9:AF:24:AE, IRQ 11.
  Board assembly 000000-000, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
Intel 810 + AC97 Audio, version 0.24, 17:59:48 Mar 13 2003
PCI: Found IRQ 11 for device 00:1f.5
PCI: Sharing IRQ 11 with 00:1f.3
PCI: Sharing IRQ 11 with 02:07.0
PCI: Setting latency timer of device 00:1f.5 to 64
i810: Intel ICH4 found at IO 0xe080 and 0xe400, MEM 0xfebff800 and 0xfebff400, 
IRQ 11
i810: Intel ICH4 mmio at 0xe098d800 and 0xe098f400
i810_audio: Primary codec has ID 2
i810_audio: Audio Controller supports 6 channels.
i810_audio: Defaulting to base 2 channel mode.
i810_audio: Resetting connection 0
i810_audio: Connection 0 with codec id 2
ac97_codec: AC97 Audio codec, id: ADS116 (Unknown)
i810_audio: AC'97 codec 2 supports AMAP, total channels = 2
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 40x/32x writer cd/rw xa/form2 cdda tray
cdrom: This disc doesn't have any tracks I recognize!


Sorry, I couldn't attach the file ( something wrong ). Anyway, everything 
seems fine, except it doesn't recognize music tracks (the last row says). You 
have any idea what's wrong with it? 

Thanks.
Comment 3 Havoc Pennington 2003-08-06 17:05:42 EDT
Some people have mentioned that some newer computers don't have the wire 
from the CD player to the sound card, so the CD has to be played by 
sucking the music data off the CD, pushing it through the CPU, and then 
out to the sound card. This may be the issue.

In any case, if you try a different CD-playing program (kscd, workman, 
maybe xmms, not sure what all there is) do they work? Is this specific
to gnome-cd-player?
Comment 4 Van 2003-08-06 21:09:29 EDT
  I tried with ksCD and xmms ( I dont' have workman ) too, but they all are 
the same. They play the CDs without sound. Somehow, I don't think it's only 
specific to gnome-cd. I wonder if it has anything to do with the kernel-
2.4.20 ? Basically, everything is of RH8, except kernel-2.4.20-18 of RH9. 
Well, without this kernel my java (j2sdk) won't work.
  All the volume set to max, and for sure it's not muted since I double-
checked with aumix already. I am able to hear "event sounds", but not CDs 
music.

  Any idea what's wrong? It can't be that my cd's wire not connected to the 
sound card since it works perfectly in Winxp. However, I heard something about 
enable/disable option for cdrom or something from some guy 
in "linuxquestions.org". Too bad, that guy only mentioned it, but didn't give 
any direction to how to "enable/disable" it. Or, maybe it's just blablabla...I 
have no idea.

-van
Comment 5 Havoc Pennington 2003-08-06 21:15:57 EDT
The point about the sound-card-to-CD wire is exactly that Windows no longer
requires that wire, since it can go from CD to soundcard via the CPU.
But Linux CD players don't do this yet. At least that's what I understood.

Anyway, it sounds like the issue is a general one with the CD ioctls etc. 
rather than GNOME, so moving bug.
Comment 6 Van 2003-08-07 01:49:30 EDT
  I think Havoc Pennington alreay helped me move the bug to kernel category. 
But, to be sure, sorry if you receive this twice. Well, the above description 
is the problem I am trying to figure out. Really appreciate your help.
( Also, I checked my CPU internal, but couldn' find anywhere for the "wire" 
from cdrom to soundcard. Well, basically it's built-in, so I am not sure if 
there should be any wire for that purpose ).

-van
Comment 7 Bugzilla owner 2004-09-30 11:41:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.